<div class='card'>
  <div class='card-body'>
    <div class='row'>
        <div class='col-md-8' *ngIf="product">
          <form [formGroup]="productForm" (ngSubmit)="onSubmit()">
            <div class="form-group row">
              <label  class="col-sm-3 col-form-label">Product Name</label>
              <div class="col-sm-9">
                <input class="form-control" formControlName="productName"
                [ngClass]="{'is-invalid': (productForm.get('productName')?.touched || productForm.get('productName')?.dirty) && !productForm.get('productName')?.valid}">
                <div class="invalid-feedback" *ngIf="productForm.get('productName')?.errors?.required">
                  Please enter your product name
                </div>
              </div>
            </div>
            <div class="form-group row">
              <label  class="col-sm-3 col-form-label">Product Code</label>
              <div class="col-sm-9">
                <input class="form-control"  formControlName="productCode" [ngClass]="{'is-invalid': (productForm.get('productCode')?.touched || productForm.get('productCode')?.dirty) && !productForm.get('productCode')?.valid}">
                <div class="invalid-feedback" *ngIf="productForm.get('productCode')?.errors?.required">
                  Please enter your product code
                </div>
              </div>
            </div>
            <div class="form-group row">
              <label  class="col-sm-3 col-form-label">Description</label>
              <div class="col-sm-9">
                <input class="form-control"  formControlName="description">
              </div>
            </div>
            <div class="form-group row">
              <div class="col-sm-10">
                <button type="submit" class="btn btn-primary" [disabled]="!productForm.valid">Save</button>
              </div>
            </div>
          </form>
        </div>

        <div class='col-md-4'>

        </div>
    </div>
  </div>
</div>
